summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--eclass/mozconfig-2.eclass16
-rw-r--r--eclass/mozconfig.eclass16
2 files changed, 27 insertions, 5 deletions
diff --git a/eclass/mozconfig-2.eclass b/eclass/mozconfig-2.eclass
index 79d64b0f8abc..9a0b91cb7b78 100644
--- a/eclass/mozconfig-2.eclass
+++ b/eclass/mozconfig-2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig-2.eclass,v 1.7 2005/12/06 01:50:11 anarchy Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig-2.eclass,v 1.8 2005/12/12 02:50:54 spyderous Exp $
#
# mozconfig.eclass: the new mozilla.eclass
@@ -8,7 +8,15 @@ inherit multilib flag-o-matic mozcoreconf
IUSE="debug gnome ipv6 xinerama xprint mozsvg"
-RDEPEND=">=media-libs/jpeg-6b
+RDEPEND="|| ( ( x11-libs/libXrender
+ x11-libs/libXt
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libXmu
+ )
+ virtual/x11
+ )
+ >=media-libs/jpeg-6b
>=media-libs/libmng-1.0.0
>=media-libs/libpng-1.2.1
dev-libs/expat
@@ -24,6 +32,10 @@ RDEPEND=">=media-libs/jpeg-6b
mozsvg? ( !<x11-base/xorg-x11-6.7.0-r2
>=x11-libs/cairo-1.0.0)"
+DEPEND="${RDEPEND}
+ xinerama? ( || ( x11-proto/xineramaproto virtual/x11 ) )
+ xprint? ( || ( x11-proto/printproto virtual/x11 ) )"
+
mozconfig_config() {
mozconfig_use_enable ipv6
mozconfig_use_enable xinerama
diff --git a/eclass/mozconfig.eclass b/eclass/mozconfig.eclass
index 359fddd1eca8..886aa50a2c53 100644
--- a/eclass/mozconfig.eclass
+++ b/eclass/mozconfig.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig.eclass,v 1.24 2005/10/02 13:41:10 azarah Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig.eclass,v 1.25 2005/12/12 02:50:54 spyderous Exp $
#
# mozconfig.eclass: the new mozilla.eclass
@@ -8,7 +8,14 @@ inherit multilib flag-o-matic
IUSE="debug gnome ipv6 moznoxft truetype xinerama xprint"
-RDEPEND="virtual/x11
+RDEPEND="|| ( ( x11-libs/libXrender
+ x11-libs/libXt
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libXmu
+ )
+ virtual/x11
+ )
!moznoxft? ( virtual/xft )
>=media-libs/fontconfig-2.1
>=sys-libs/zlib-1.1.4
@@ -27,7 +34,10 @@ RDEPEND="virtual/x11
gnome? ( >=gnome-base/gnome-vfs-2.3.5 )"
DEPEND="${RDEPEND}
- dev-util/pkgconfig"
+ dev-util/pkgconfig
+ || ( x11-proto/xextproto virtual/x11 )
+ xinerama? ( || ( x11-proto/xineramaproto virtual/x11 ) )
+ xprint? ( || ( x11-proto/printproto virtual/x11 ) )"
# Set by configure (plus USE_AUTOCONF=1), but useful for NSPR
export MOZILLA_CLIENT=1